* Direct estimation of mortality.  Trevor Croft, Sept 1, 2006.

* Main program - calls.
*   mort_d.sps  for calculation of deaths.
*   mort_e.sps  for calculation of exposure.
*   mort_c.sps  for calculation of probabilities and rates, and final tables.


* National mortality estimates.

define subgroupname ()
'(Total)'
!enddefine.
define subgroup ()
use all.
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Male.

define subgroupname ()
'(Male)'
!enddefine.
define subgroup ()
select if (bh3 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Female.

define subgroupname ()
'(Female)'
!enddefine.
define subgroup ()
select if (bh3 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* North West.

define subgroupname ()
'(North West)'
!enddefine.
define subgroup ()
select if (hh7 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* North East.

define subgroupname ()
'(North East)'
!enddefine.
define subgroup ()
select if (hh7 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* South Central.

define subgroupname ()
'(South Central)'
!enddefine.
define subgroup ()
select if (hh7 = 3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Urban.

define subgroupname ()
'(Urban)'
!enddefine.
define subgroup ()
select if (hh6a = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Rural.

define subgroupname ()
'(Rural)'
!enddefine.
define subgroup ()
select if (hh6a = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* None.

define subgroupname ()
'(None)'
!enddefine.
define subgroup ()
select if (melevel = 0).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Koranic.

define subgroupname ()
'(Koranic)'
!enddefine.
define subgroup ()
select if (melevel = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Primary.

define subgroupname ()
'(Primary and Secondary +)'
!enddefine.
define subgroup ()
select if (melevel = 2 or melevel = 3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Non-standard curriculum.

define subgroupname ()
'(Non-standard curriculum)'
!enddefine.
define subgroup ()
select if (melevel = 4).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Poorest 60 percent.

define subgroupname ()
'(Poorest 60 %)'
!enddefine.
define subgroup ()
select if (wlthind5 = 1 or wlthind5=2 or wlthind5=3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Richest 40 percent.

define subgroupname ()
'(Richest 40 %)'
!enddefine.
define subgroup ()
select if (wlthind5 = 4 or wlthind5 = 5).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.		* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


