* Somali MICS3

get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute mosquito = 0.
if (TN1 = 1 and TN2 >= 1 and TN2 <= 7) mosquito = 100.
variable label mosquito "Percentage of households with at least one mosquito "+
  "net".

* modified for Somalia to report on permanets

compute treatlong  = 0.
if (TN3L1 = 1) treatlong = 100.
variable label treatlong "Percentage of households with at least one "+
  "long-lasting insecticide treated net (ITN)**".

compute treated  = 0.
if (TN3L1 = 1) treated = 100.
if ((TN3P1 = 1) and TN6 < 12) treated = 100.
if ((TN3O1 = 1) and TN5 = 1 and  TN6 < 12) treated = 100.
if (TN7 = 1 and TN8 < 12) treated = 100.
variable label treated "Percentage of households with at least one "+
  "insecticide treated net (ITN)*".

tables
  /format = zero
  /observation = mosquito  treatlong treated
  /ftotal = tot1 "Total" tot2 "Number of households"
  /table = HH7 + HH6 + helevel + wlthind5 + tot1 by 
	  mosquito + treatlong + treated + tot2
  /statistics
    mean(mosquito (f5.1)'' )
    means(treatlong  (f5.1)'')
    means(treated (f5.1)'')
    count(tot2 (f5.0)'' )
 /title
    "Table CH.11: Availability of insecticide treated nets"
		"Percent of households with at least one long lasting insecticide treated net (ITN), "+
		" and percent with at least one insecticide treated net (ITN) of any type," +
		"Somalia, 2006"
  /caption
    "* MICS Indicator 36" +
    "** Long lasting nets also known as Permanets".

new file.
