* Somali MICS3

get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1).

recode ML10 (1 = 100) (else = 0) into bednet.
variable label bednet "Slept under a bednet *".

compute trnetlong = 0.
if (ML10A = 1) trnetlong = 100.
variable label trnetlong "Sleep under a long-lasting insecticide treated net **".

compute trnet = 0.
if (ML10A = 1 or ML10A = 2) trnet = 100.
variable label trnet "Sleep under any insecticide treated net **".

compute pretrnet = 0.
if  (ML10A = 2) pretrnet = 100.
variable label pretrnet "Sleep under a pretreated insecticide net **".

* create a variable that equal 100 IF child slept under an untreated net.
compute untreat = 0.
if (ML10A = 3) untreat = 100.
variable label untreat "Slept under an untreated net".


*recode ML10 (8,9 = 100) (else = 0) into dk.
*variable label dk "Don't know if slept under a net".
 
recode ML10 (2 = 100) (else = 0) into notsleep.
variable label notsleep "Did not sleep under a bednet". 

tables
  /format = zero
  /observation = bednet trnetlong trnet pretrnet untreat notsleep
  /ftotal = tot1 "Total" tot2 "Number of children aged 0-59 months" 
  /table = HL4 + HH7 + HH6 + cage_11 + wlthind5 + tot1 by 
	  bednet + trnetlong + trnet + pretrnet + untreat  + notsleep + tot2 
  /statistics
    means(bednet (f5.1) '')
    means(trnetlong (f5.1) '')
    means(trnet (f5.1) '')
means(pretrnet (f5.1) '')
    means(untreat (f5.1) '')
    means(notsleep (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Table CH.12: Children sleeping under bednets"
		"Percentage of children aged 0-59 months who slept under an insecticide "+
		"treated net during the previous night, Somalia, 2006"
  /caption
    "* MICS indicator 38"
		"** MICS indicator 37; MDG indicator 22".

new file.
