* Somali MICS3

get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Number of mothers/caretakers of children aged 0-59 months".



compute fever = 0.
if (CA15A = "A") fever = 100.
variable label fever "Fever/sweats".

compute head = 0.
if (CA15B = "B") head = 100.
variable label head "Headaches".

compute chill = 0.
if (CA15C = "C") chill = 100.
variable label chill "Chills/shivers".

compute neck = 0.
if (CA15D = "D") neck = 100.
variable label neck "Neckache".

compute weak = 0.
if (CA15E = "E") weak = 100.
variable label weak "Weakness/tiredness".

compute appetite = 0.
if (CA15F = "F") appetite = 100.
variable label appetite "Loss of appetite".

compute mouth = 0.
if (CA15G = "G") mouth = 100.
variable label mouth "Bitterness in the mouth".

compute vomit = 0.
if (CA15H = "H") vomit = 100.
variable label vomit "Vomiting/nausea".


tables
  /format = zero
  /observation = fever head chill neck weak appetite mouth vomit 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + melevel + wlthind5 + tot1 by  (fever + head + chill + neck + weak + appetite + mouth + vomit ) +
		total
  /statistics
    mean(fever (f5.1) '')
    mean(head (f5.1) '')
    mean(chill (f5.1) '')
    mean(neck (f5.1) '')
    mean(weak (f5.1) '')
    mean(appetite (f5.1) '')
    mean(mouth (f5.1) '')
    mean(vomit (f5.1) '')
    count (total (f5.0) '')

  /title
    "Table CH.7B: Knowledge of symptoms of Malaria"
		"Percentage of mothers/caretakers of children aged 0-59 months by "+
		"knowledge of types of symptoms of malaria, Somalia, 2006 "

new file.