get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Number of mothers/caretakers of children aged 0-59 months".

recode IM18A (1 = 100) (else = 0) into heard.
variable label heard "Heard of Polio".


do  if (IM18A = 1).
+ compute total2 = 1.
+ recode IM18B (1 = 100) (else = 0) into agree.
+ recode IM18C (1 = 100) (else = 0) into never.
+ recode IM18C (2 = 100) (else = 0) into once.
+ recode IM18C (3 = 100) (else = 0) into several.
end if.

value label total2 1 "".
variable label total2 "Number of mothers/caretakers of children aged 0-59 months who have heard of polio".
variable label agree  "Agree to repeat vaccinations".
variable label never  "Never".
variable label once  "Once".
variable label several  "Several".


do if  (IM18A <= 8).
+ compute total1 = 1.
+ compute father = 0.
+ if (IM18DA = "A" and IM18DB = " " and IM18DC = " " and IM18DX = " "  ) father = 100.
+ compute mother = 0.
+ if (IM18DB = "B" and IM18DA = " " and IM18DC = " " and IM18DX = " "   )  mother = 100.
+ compute both = 0.
+ if (IM18DA = "A" and IM18DB = "B" and IM18DC = " " and IM18DX = " "   ) both = 100.
+ compute grand = 0.
+ if (IM18DC = "C" and IM18DA = " " and IM18DB = " " and IM18DX = " "  ) grand = 100.
end if.

compute layer1 = 0.
compute layer2 = 0.
value label total1 1 "".
variable label total1 "Number of mothers/caretakers of children aged 0-59 months".
variable label father "Only Father".
variable label mother "Only Mother".
variable label both "Both father and mother".
variable label grand "Grandparents".
variable label layer1 "".
variable label layer2 "".
value label layer1 0 "Ever refused to vaccinate their child against polio :".
value label layer2 0 "who makes the decision in the home to vaccinate child :".


tables
  /format = zero
  /observation = heard agree never once several  father mother both grand 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + melevel + wlthind5 + tot1 by heard + total+ agree + layer1 > ( never + once + several) +
              layer2 > (father + mother + both + grand ) + total2
  /statistics
   mean (heard (f5.1) '')
   count(total (f5.0) '')
   mean (agree (f5.1) '')
  mean (never (f5.1) '')
  mean (once (f5.1) '')
  mean (several (f5.1) '')
  mean (father (f5.1) '')
  mean (mother(f5.1) '')
  mean (both (f5.1) '')
  mean (grand (f5.1) '')
  count (total2 (f5.0) '')
  /title
    "Table CH.16 : Knowledge and attitudes towards polio vaccination"
		"Percentage of mothers/caretakers who had heard of polio and agree to give their child repeat vaccinations and breakdown of percentage"+
                        " of mother's caretakers reporting who the key decision maker is over whether to vaccination the child, Somalia, 2006"
 /caption
   "Total includes 18 children missing information on mother's education who are not shown separately".



