* Somali MICS3

get file = 'hl.sav'.

weight by hhweight.

* create variable that will provide title in final table.
compute treat = 1.
value label treat 1  "Measures taken to prevent contamination while handling water in the household".
variable label treat "".

compute none = 0.
if (WS5a <> 1) none = 100.
variable label none "None".

compute washhands = 0.
if (WS5BA = "A") washhands = 100.
variable label washhands "Wash hands before collecting water".

compute store = 0.
if (WS5BB = "B") store = 100.
variable label store "Store water in clean container with cover".

compute cup = 0.
if (WS5BC = "C") cup = 100.
variable label cup "Use cup with long handle to take water out of container".

compute animals = 0.
if (WS5BD = "D") animals = 100.
variable label animals "Keep animals away from container".

compute other = 0.
if (WS5BX = "X") other = 100.
variable label other "Other".

compute dk = 0.
if (WS5BZ = "Z") dk = 100.
variable label dk "Don't know".

compute allh = 0.
if (washhands = 100 or store = 100 or cup = 100 or animals = 100) allh = 100.
variable label allh " Appropriate method for preventing contamination of water *".

compute total = 1.
value label total 1 "".
variable label total "Number of household members".


tables
  /format = zero
  /observation = none washhands store cup animals other dk allh 
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6 + helevel + wlthind5 + tot1 by treat > 
	  (none + washhands + store + cup + animals + other + dk) + 
		allh + total 
  /statistics
    mean(none (f5.1) '')
mean(washhands (f5.1) '')
    mean(store (f5.1) '')
    mean(cup (f5.1) '')
    mean(animals (f5.1) '')
    mean(other (f5.1) '')
    mean(dk (f5.1) '')
    mean(allh (f5.1) '')
    count(total (f5.0) '')
  /title 
    "Table EN.2B: Household water treatment"
		"Percentage distribution of household population according to whether a "+
		"method is used to prevent contamination while handling water in the household, "+
		" Somalia, 2006"
  /caption
    "* MICS indicator 13".

new file.