* Somali MICS3

get files="hh.sav".

weight by hhweight.

compute total = 1.
value label total 1 "".
variable label total "Total number of households".

compute eat = 0.
if (WS9AA = 1) eat = 100.
variable label eat "Before eating".

compute baby = 0.
if (WS9AB = 1) baby = 100.
variable label baby "Before feeding babies ".

compute defa = 0.
if (WS9AC = 1) defa = 100.
variable label defa "After defecation".

compute bottom = 0.
if (WS9AD = 1) bottom = 100.
variable label bottom "After cleaning babies bottoms".

compute food = 0.
if (WS9AE= 1) food = 100.
variable label food "Before cooking food".

compute afeat = 0.
if (WS9AF= 1) afeat = 100.
variable label afeat "After eating".

compute any = 0.
if (eat = 100 or baby = 100 or defa = 100 or bottom = 100 or 
  food = 100 or afeat = 100) any = 100.
variable label any "For any of these reasons*".

compute layer = 0.
variable label layer "".
value label layer 0 "Percentage of housholds who report using soap to wash hands at the following times :".

tables
  /format = zero
  /observation = eat baby defa bottom food afeat any   
  /ftotal = tot1 "Total"
  /table = HH7 + HH6  + helevel + wlthind5 + tot1 by 
	  layer > (eat + baby + defa + bottom  + food +  afeat + any   ) + total
  /statistics
    mean(eat (f5.1) '')
    mean(baby (f5.1) '')
    mean(defa (f5.1) '')
    mean(bottom (f5.1) '')
    mean(food (f5.1) '')
    mean(afeat (f5.1) '')
   mean(any (f5.1) '')
    count(total (f5.0) '')
 /title
    "Table EN.8: Handwashing"
		"Percentage of housholds where the houhsold respondent reported "+
		"using soap to wash hands "+
		"in various circumstances, Somalia, 2006".
 .