GET
  FILE='wm.sav'.

SELECT IF (WM7 = 1 & CM12 = "Y") .

compute TotalWB = 1.
Variable Label TotalWB	'Number of ever-married women 15 - 49 who gave birth in last 2 years'.
Value Label TotalWB
	1	'  '.

WEIGHT
  BY wmweight .

RECODE
  MN14A MN14B MN14C MN14D MN14E MN14F MN14G MN14H MN14I
  (1=100)  (ELSE=0)  INTO  AmnFever  AmnUP  AmnTI  AmnMastitis  AmnOD  AmnTe  AmnWI  AmnHem  AmnPD .
VARIABLE LABELS AmnFever 'Fever' /AmnUP 'Problem controlling urine' /AmnTI 'Tract Infection' /AmnMastitis 'Mastitis' /AmnOD
  'Offensive discharge' /AmnTe 'Tear/Injury to genital area' /AmnWI 'Wound Infection' /AmnHem 'Hemorrahage' /AmnPD 'Post'+
 ' delivery depression'.
EXECUTE .

FILTER OFF.
USE ALL.
EXECUTE .

Variable Label TotalWB	'Number of women who gave birth in last 2 years'.

* General Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION= AmnFever  AmnUP  AmnTI  AmnMastitis  AmnOD  AmnTe  AmnWI  AmnHem  AmnPD
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE= HH6 + WAGE + MELEVEL + wlthind5 + $t000002  BY AmnFever + AmnUP + AmnTI + AmnMastitis + AmnOD + AmnTe + AmnWI + AmnHem  + AmnPD + TotalWB
  /Statistics
  count(TotalWB)   /TITLE 'Table RH5C: Percentage distribution of ever-married women 15 - 49 who got pregnant during last 2 years and had any problems in postpartum period by Region, Area, Age of woman, CEB, Educational Level and Wealth Index'+
 ' Multiple answers allowed'.

New File .