* Somali MICS3

get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.

compute hl5 = hl5-1.
variable label hl5 "Age at beginning of school year".
select if (HL5 >= 14 and HL5 <= 17).

compute second  = 0.
if (ED6A >= 2 and ED6A <= 3) second =  100.
variable label second "".

variable label HL4 "".

tables
  /format = zero
  /observation = second
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + tot1 by 
	  HL4 > second + tot1
  /statistics
    mean(second (f5.1) 'Net attendance ratio')
    validn(second (f5.0) 'Number of children')
  /title
    "Table ED.4: Secondary school net attendance ratio"
		"Percentage of children of secondary school age attending "+
		"secondary or higher education (NAR), Somalia, 2006"
  /caption
    "* MICS indicator 56;  Note - Somali secondary school age is 14-17 years".

new file.
