* Somali MICS3 (new file)

get file = 'hl.sav'.

weight by hhweight.

compute total = 1.
variable label total "Total".
value label total 1 "".

compute boysn  = 0.
if (HL4 = 1 and HL5 >= 14 and HL5 <= 18 ) boysn = 1.
variable label boysn "Number of boys age 14-18 yrs".

compute narbn = 0.
if (HL4 = 1 and HL5 >= 14 and HL5 <= 18 and ED4 = 1 and ED6A = 6) narbn = 1.
variable label narbn "Number of boys age 14-18 attending "+
  "non formal education".

compute girlsn  = 0.
if (HL4 = 2 and HL5 >= 14 and HL5 <= 18 ) girlsn = 1.
variable label girlsn "Number of girls age 14-18 yrs".

compute nargn = 0.
if (HL4 = 2 and HL5 >= 14 and HL5 <= 18 and ED4 = 1 and ED6A = 6) nargn = 1.
variable label nargn "Number of girls age 14-18 attending "+
  "non formal education".

compute boysn2  = 0.
if (HL4 = 1 and HL5 >= 19 and HL5 <= 24 ) boysn2 = 1.
variable label boysn2 "Number of boys age 19-24 yrs".

compute narbn2 = 0.
if (HL4 = 1 and HL5 >= 19 and HL5 <= 24 and ED4 = 1 and ED6A = 6) narbn2 = 1.
variable label narbn2 "Number of boys age 19-24 attending "+
  "non formal education".

compute girlsn2  = 0.
if (HL4 = 2 and HL5 >= 19 and HL5 <= 24 ) girlsn2 = 1.
variable label girlsn2 "Number of girls age 19-24 yrs".

compute nargn2 = 0.
if (HL4 = 2 and HL5 >= 19 and HL5 <= 24 and ED4 = 1 and ED6A = 6) nargn2 = 1.
variable label nargn2 "Number of girls age 19-24 attending "+
  "non formal education".

aggregate outfile = 'tmp1.sav'
  /break   = HL4
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

aggregate outfile = 'tmp2.sav'
  /break   = HH7
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

aggregate outfile = 'tmp3.sav'
  /break   = HH6
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

aggregate outfile = 'tmp4.sav'
  /break   = melevel
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

aggregate outfile = 'tmp5.sav'
  /break   = wlthind5
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

aggregate outfile = 'tmp7.sav'
  /break   = total
  /nboysn  = sum(boysn)
  /nnarbn  = sum(narbn)
  /ngirlsn = sum(girlsn)
  /nnargn  = sum(nargn)
  /nboysn2  = sum(boysn2)
  /nnarbn2  = sum(narbn2)
  /ngirlsn2 = sum(girlsn2)
  /nnargn2  = sum(nargn2).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'
  /file = 'tmp3.sav'
  /file = 'tmp4.sav'
  /file = 'tmp5.sav'
  /file = 'tmp7.sav'.

compute ngirls = (nnargn/ngirlsn)*100.
variable label ngirls "Non formal education net attendance ratio (NAR), girls, age 14-18".

compute nboys = (nnarbn/nboysn)*100.
variable label nboys "Non formal education net attendance ratio (NAR), boys, age 14-18".

compute ratio1 = (pgirln/pboyn).
variable label ratio1 "Gender parity index (GPI) for non formal education NAR (age 14-18)*".

compute n2girls = (nnargn2/ngirlsn2)*100.
variable label n2girls "Non formal education net attendance ratio (NAR), girls, age 19-24".

compute n2boys = (nnarbn2/nboysn2)*100.
variable label n2boys "Non formal education net attendance ratio (NAR), boys, age 19-24".

compute ratio2 = (n2girls/n2boys).
variable label ratio2 "Gender parity index (GPI) for non formal education NAR (age 19-24)*".

tables
  /format = zero
  /observation = ngirls nboys ratio1 n2girls n2boys ratio2
  /ftotal = tot1 "Total"
  /tables = HL4 + HH7 + HH6 + melevel + wlthind5 + total by 
	  ngirls + nboys + ratio1 + n2girls + n2boys + ratio2
  /statistics
    mean(ngirls (f5.1) '')
    mean(nboys (f5.1) '')
    mean(ratio1 (f5.2) '')
    mean(n2girls (f5.1) '')
    mean(n2boys (f5.1) '')
    mean(ratio2 (f5.2) '')
  /title
    "Table ED.7 : Education gender parity"
		"Ratio of girls to boys attending non formal education, "+
		"Somalia, 2006".
 
new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp2.sav'.
erase file = 'tmp3.sav'.
erase file = 'tmp4.sav'.
erase file = 'tmp5.sav'.
erase file = 'tmp7.sav'.
