* Somalia MICS3

get file = "wm.sav".

weight by wmweight.

* Women with at least one living daughter.
recode CM4B CM6B (sysmis = 0).
compute daughter = CM4B + CM6B.
select if (daughter > 0).




compute total = 1.
value label total 1 "".
variable label total "Number of women aged 15-49 years".



recode melevel (0=0) (1=1) (2,3=2) (4=4) (9=9) into melevel2.
variable label melevel2 "Education of mother".
value label melevel2
  0 "None"
  1 "Koranic"
  2 "Primary or above"
  4 "Non-formal curriculum"
  9 "Missing/DK".
format melevel2 (f1.0).

compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "Daughter had any form of FGM/C *".

do if (fgm = 100).
+ compute fgmtype = 9.
+ if (FG11 = 1 and FG13 <> 1) fgmtype = 1.
+ if (FG12 = 1 and FG13 <> 1) fgmtype = 2.
+ if (FG13 = 1) fgmtype = 3.
+ compute extreme = 0.
+ if (FG11 = 1 and FG13 = 1) extreme = 100.
+ compute totfgm = 1.
end if.
variable label fgmtype "Percentage of women whose daughters:".
value label fgmtype
   1 "Had flesh removed" 
   2 "Were nicked" 
   3 "Were sewn closed" 
   9 "Form of FGM/C not determined".
variable label extreme "Daughter had an extreme form of FGM/C".  
variable label totfgm "Number of women aged 15-49 years with at least one living daughter who had FGM/C".
value label totfgm 1 "".

compute fgm1 = 0.
do if (FG3 = 1).
+ compute fgm1 = 100.
+ compute totfgm1  = 1.
+ compute fgmtype1 = 9.
+ if (FG4 = 1 and FG6 <> 1) fgmtype1 = 1.
+ if (FG5 = 1 and FG6 <> 1) fgmtype1 = 2.
+ if (FG6 = 1) fgmtype1 = 3.
+ compute extreme1 = 0.
+ if (FG4 = 1 and FG6 = 1) extreme1 = 100.
end if.

variable label fgm1 "Had any form of FGM/C *"
variable label totfgm1  "Number of women with FGM/C".
value labels totfgm1 1 "".
variable label fgmtype1 "Percentage of women with FGM/C who:".
value label fgmtype1 
   1 "Had flesh removed" 
   2 "Were nicked"  
   3 "Were sewn closed"  
   9 "Form of FGM/C not determined".
variable label extreme1 "Had an extreme form of FGM/C **".  

tables
  /format = zero
  /observation = fgm extreme
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + fgm1 + fgmtype1 + extreme1 + melevel2 + wlthind5 + tot1 by 
	  fgm + total + fgmtype + tot1 + extreme + totfgm
  /statistics
    mean(fgm (f5.1) '')
    count(total (f5.0) '')
    cpct(fgmtype (f5.1) '': HH7 HH6 wage melevel2 wlthind5 fgm1 fgmtype1 extreme1 )
    mean(extreme (f5.1) '')
    count(totfgm (f5.0) '')
 /title
    "Table CP.8: Female genital mutilation/cutting (FGM/C) among daughters"
		"Percentage of women with at least one living daughter who has had "+
		"female genital mutilation (FGM/C) and the percentage by type of FGM/C "+
		"of the daughters, Somalia, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 65".

new file.
