* Direct estimation of mortality.  Trevor Croft, Sept 1, 2006.

* Main program - calls.
*   mort_d.sps  for calculation of deaths.
*   mort_e.sps  for calculation of exposure.
*   mort_c.sps  for calculation of probabilities and rates, and final tables.


* National mortality estimates.

define subgroupname ()
'(Total)'
!enddefine.
define subgroup ()
use all.
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Somaliland.

define subgroupname ()
'(Somaliland)'
!enddefine.
define subgroup ()
select if (HH7 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Puntland.

define subgroupname ()
'(Puntland)'
!enddefine.
define subgroup ()
select if not (HH7 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Central/South.

define subgroupname ()
'(Central/South)'
!enddefine.
define subgroup ()
select if not (HH7 = 3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


