* Include file that calculates and recodes various biodemographic variables.
* To avoid changing the data sets, this include file is called into the mort programs each time bh.sav
* is called.

* -------------- calculate birth interval.
compute prevcmc = lag (IMPBH4C,1).

if (bh1=1) prevcmc=8888.
if (lag(IMPBH4C,1) = IMPBH4C) prevcmc = lag (prevcmc,1).
execute.

compute bi = IMPBH4C-prevcmc.
if (prevcmc = 8888) bi = 8888.
execute.
compute bir = bi.
recode bir (LOW thru 5 = 9) (5 thru 23=1) (24 thru 35=2) (36 thru 47=3) (48 thru 300=4) (8888 = 0).

variable labels bir "Birth Interval".
value labels bir 1 "<24 months" 2 "2 years" 3 "3 years" 4 "4+ years" 0 "First birth" 9 "Inconsistent".

* -------------determine mothers age at birth.
* -------------mothers age in months at time of birth.
compute momage =   trunc((IMPBH4C - wdob)/12).
compute momager = momage.
recode momager (LOW thru 9 = 9) (10 thru 19=1) (20 thru 29=2) (30 thru 39=3) (40 thru hi=4).

variable labels momager "Mothers Age At Birth".
value labels momager 1 "<20 years" 2 "20-29 years" 3 "30-39 years" 4 "40-49 years" 9 "Inconsistent".

* --------------set birth order.
compute bord = bh1.
compute bordr = bord.
recode bordr (1=1) (2 thru 3=2) (4 thru 6=3) (7 thru hi=4).

variable labels bordr "Birth Order".
value labels bordr 1 "First Birth" 2 "2-3" 3 "4-6" 4 "7+".

* Zone by residence variable.
compute zoneres = (hh7*10) + hh6a.

variable labels zoneres "Zone and place of residence".

value labels zoneres 11 "North West Urban" 12 "North West Rural" 21 "North East Urban" 22 "North East Rural"
			 31 "South Central Urban" 32 "South Central Rural".











