*Somali MICS version
* Sort according to sampling domains (urban/rural within region) and cluster within domains.
* The program assumes that the sampling domains are urban and rural areas (HH6) within regions (HH7A).

sort cases HH7A HH6 HH1.

* Compute stratum variable as pairs of clusters within same domains.
compute stratum = 1.
compute strpair = 0.
do if (HH7A <> lag(HH7A) or HH6 <> lag(HH6)).
+ compute stratum = lag(stratum)+1.
+ compute strpair = 0.
else if (HH1 = lag(HH1)).
+ compute stratum = lag(stratum).
+ compute strpair = lag(strpair).
else if (lag(strpair) = 0).
+ compute stratum = lag(stratum).
+ compute strpair = 1.
else.
+ compute stratum = lag(stratum)+1.
+ compute strpair = 0.
end if.

* Sort in reverse order of cluster to check for single clusters in a domain.
sort cases HH7A HH6 HH1 (D).

* Recode single clusters in a domain into the prior stratum group.
do if (sysmis(lag(HH7A)) or HH7A <> lag(HH7A) or HH6 <> lag(HH6)).
+ do if (strpair = 0).
+   compute stratum = stratum - 1.
+ end if.
else if (HH1 = lag(HH1)).
+ compute stratum = lag(stratum).
end if.

* Re-sort according to sampling domains (urban/rural within region) and cluster within domains.
sort cases HH7A HH6 HH1.

* Drop strpair variable.
delete variable strpair.